@import "helpers";
:host-context(.line) {
  .radio-control {
    position: relative;
    width: 100%;
    min-height: 60px;
  }
  .radio-label {
    width: 100%;
    height: 100%;
    cursor: pointer;
  }
  .radio-item {
    position: absolute;
    left: 0;
    top: 0;
    width: 0;
    height: 0;
    z-index: -1;
    visibility: hidden;
  }
}

:host-context(.line_dark) {
  .radio-label {
    background: $gray-blue;
    color: $white;
  }
  .radio-item {
    &:checked ~ .radio-label {
      background: $black-blue;
      color: $ripe-lemon;
    }
  }
}

:host-context(.circle) {
  .radio-control {
    display: flex;
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    font-size: 22px;
    user-select: none;

    &:hover {
      .label {
        background-color: #ccc;
      }
    }
  }

  .radio-item {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;

    &:checked ~ .radio-label {
      background-color: $casper;
      border-color: $black-blue;

      &:after {
        display: block;
      }
    }

    &:focus {
      & ~ .radio-label {
        border-color: $yellow-brown;
      }
    }
  }

  .radio-label {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
    border-radius: 50%;
    border: 1px solid $border-main;

    &:after {
      display: none;
      content: "";
      position: absolute;
      top: 4px;
      left: 4px;
      width: 16px;
      height: 16px;
      border-radius: 50%;
      background: $black-blue;
    }
  }
}

:host-context(.quiz-radio) {
  position: absolute;
  top: 68px;
  right: -6px;
}
